Retrieve tool
import requests
url = "https://api.datagrid.com/v1/tools/{tool_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/tools/{tool_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/tools/{tool_name} \
--header 'Authorization: Bearer <token>'{
"object": "tool",
"name": "<string>",
"label": "<string>",
"description": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Tools
Retrieve tool
Retrieves a specific tool by its identifier.
GET
/
tools
/
{tool_name}
Retrieve tool
import requests
url = "https://api.datagrid.com/v1/tools/{tool_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/tools/{tool_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/tools/{tool_name} \
--header 'Authorization: Bearer <token>'{
"object": "tool",
"name": "<string>",
"label": "<string>",
"description": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The name of the tool to retrieve. The unique identifier for a tool.
Response
Retrieved tool
The Tool object represents a tool that can be used by agents.